import request from '@/utils/request'

// 查询门店自提列表
export function listStoreShop(query) {
  return request({
    url: '/store/store/storeShop/list',
    method: 'get',
    params: query
  })
}

// 查询门店自提详细
export function getStoreShop(id) {
  return request({
    url: '/store/store/storeShop/' + id,
    method: 'get'
  })
}

// 新增门店自提
export function addStoreShop(data) {
  return request({
    url: '/store/store/storeShop',
    method: 'post',
    data: data
  })
}

// 修改门店自提
export function updateStoreShop(data) {
  return request({
    url: '/store/store/storeShop',
    method: 'put',
    data: data
  })
}

// 删除门店自提
export function delStoreShop(id) {
  return request({
    url: '/store/store/storeShop/' + id,
    method: 'delete'
  })
}

// 导出门店自提
export function exportStoreShop(query) {
  return request({
    url: '/store/store/storeShop/export',
    method: 'get',
    params: query
  })
}
